<?php
###############################################################################
# Defaults.php
#
#
# @author Anil Kumar <akumar@codepunch.com>
# @link   https://codepunch.com
#
############################################################################### 

namespace 	CodePunch\Config;

use 		CodePunch\Base\Util as UTIL;
use			CodePunch\Base\Text as TEXT;
use 		Exception;

###############################################################################

class Defaults {
	
	const	MAJOR_VERSION =			500;
	const	MINOR_VERSION =			000;
	const	BUILD_DATE =			"2024-04-02";
	const	BUILD_INDEX	=			5073;
	
	const	LANGUAGE = 				"en";
	const	EMAIL_SEND_METHOD = 	"default";
	
	###############################################################################

	private static $the_defaults = array(
		// SETBYDS
		'license_key_code_v5'	=>	'nameijdhqHvT/wn1jxhDOz56hqlswANSripDmb4DIhnNQHWL/xnurUxOeeFny3dmVU40hzCfoa7Sl6G5NUU3PziMzy2/Dy/1OwTC/EoJVfg3/nNngoR0sy/m+pdTEake+Sx21c2Y2fsClJrdBaCrTjOVTt0g==',
	);
	
	###########################################################################
	
	public static function get($key)
	{
		return isset(self::$the_defaults[$key]) ? self::$the_defaults[$key] : false;
	}
	
	###############################################################################
	
	public static function product()
	{
		return "Watch My Domains Server Edition";
	}
	
	###############################################################################
	
	public static function companyname()
	{
		return "Softnik Technologies";
	}
	
	###############################################################################
	
	public static function builddate()
	{
		$btime = strtotime(self::BUILD_DATE);
		return date("M d Y", $btime);
	}
	
	###############################################################################
	
	public static function version()
	{
		$m1 = self::MAJOR_VERSION;
		$m2 = self::MINOR_VERSION;
		return $m1/100 . "." . $m2/100;
	}
	
	###############################################################################
	
	public static function majorversion()
	{
		$m1 = self::MAJOR_VERSION;
		return $m1/100;
	}

	###############################################################################

	public static function version_and_build()
	{
		$version = self::version() . "." . self::BUILD_INDEX;
		return $version . ", " . self::builddate();
	}
}

###############################################################################

